---

- name: setup python2
  hosts: all
  gather_facts: no
  tasks:
    - name: install python2
      become: yes
      raw: "apt-get install python -y"

    - name: set hostname in OS
      become: yes
      hostname: name="{{inventory_hostname}}"

    - name: change timezone to UTC
      become: yes
      timezone: name="UTC"

    - name: authorize ssh keys
      authorized_key:
        user: "ubuntu"
        key: "https://github.com/LukeHoersten.keys"

- hosts: pleroma
  roles:
    - role: pleroma
      pleroma_user: "pleroma_haskell_social"
      pleroma_link_host: "haskell.social"
      pleroma_port: 4001

- hosts: pleroma
  roles:
    - role: pleroma
      pleroma_user: "pleroma_nth_io"
      pleroma_link_host: "nth.io"
      pleroma_port: 4000
      pleroma_signup_open: "false"
